Name:           tqftpserv
Version:        1.0
Release:        %autorelease
Summary:        Trivial File Transfer Protocol server over AF_QIPCRTR

License:        BSD-3-Clause
URL:            https://github.com/andersson/tqftpserv
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Makefile: allow $(CFLAGS), $(LDFLAGS) override
Patch:          %{url}/commit/3488007880ae8abcf6b78f86ac0f41000f72b72d.patch
# tqftpserv: add support for TFTP options on WRQs
Patch:          %{url}/commit/48b9e1cbb1b06607334789d5fd73a0930c11bbc7.patch
# translate: Use /data/vendor for temporary files
Patch:          %{url}/commit/538efb3096cfe0f6f1d24f16f544e3343188e2be.patch
# translate: Null terminate firmware_value string
Patch:          %{url}/commit/de42697a2466cc5ee267ffe36ab4e8494f005fb0.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  systemd-rpm-macros

BuildRequires:  qrtr-devel
Requires:       qrtr

%description
Trivial File Transfer Protocol server over AF_QIPCRTR.

%prep
%autosetup -p1

%build
%make_build prefix="%{_prefix}"

%install
%make_install prefix="%{_prefix}"

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%{_bindir}/%{name}
%{_unitdir}/%{name}.service

%changelog
%autochangelog
